
// ------------ SYMBOLS/ABBREVIATIONS ------------

#let ie = [_i.e._,]
#let eg = [_e.g._,]
#let etc = [_etc._]
#let etal = [_et al._]

// ------------ FORMATING ------------

#let paragraph(title) = [#title #h(1em)]

#let epigraph(attribution, body) = align(right, box(width: 50%)[
  #set align(left)
  #quote(
    block: true,
    attribution: attribution, 
    body
  )
])
